Bullet Collision Detection & Physics Library: btMultiBodyDoubleData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btMultiBodyDoubleData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btMultiBody.h>`

Collaboration diagram for btMultiBodyDoubleData:
[legend]

## Public Attributes
btTransformDoubleData | m_baseWorldTransform
btVector3DoubleData | m_baseInertia
double | m_baseMass
char * | m_baseName
btMultiBodyLinkDoubleData * | m_links
btCollisionObjectDoubleData * | m_baseCollider
char * | m_paddingPtr
int | m_numLinks
char | m_padding [4]

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 768 of file btMultiBody.h.

## Member Data Documentation

## § m_baseCollider

btCollisionObjectDoubleData* btMultiBodyDoubleData::m_baseCollider

Definition at line 776 of file btMultiBody.h.

## § m_baseInertia

btVector3DoubleData btMultiBodyDoubleData::m_baseInertia

Definition at line 771 of file btMultiBody.h.

## § m_baseMass

double btMultiBodyDoubleData::m_baseMass

Definition at line 772 of file btMultiBody.h.

## § m_baseName

char* btMultiBodyDoubleData::m_baseName

Definition at line 774 of file btMultiBody.h.

## § m_baseWorldTransform

btTransformDoubleData btMultiBodyDoubleData::m_baseWorldTransform

Definition at line 770 of file btMultiBody.h.

## § m_links

btMultiBodyLinkDoubleData* btMultiBodyDoubleData::m_links

Definition at line 775 of file btMultiBody.h.

## § m_numLinks

int btMultiBodyDoubleData::m_numLinks

Definition at line 778 of file btMultiBody.h.

## § m_padding

char btMultiBodyDoubleData::m_padding[4]

Definition at line 779 of file btMultiBody.h.

## § m_paddingPtr

char* btMultiBodyDoubleData::m_paddingPtr

Definition at line 777 of file btMultiBody.h.

The documentation for this struct was generated from the following file:

- btMultiBody.h